From b7ff6fa17753e319ad297b9627a3da0a3bdaa86d Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Thu, 13 Jun 2019 00:00:40 +0200
Subject: [PATCH] New package: ol-2.0

---
 srcpkgs/ol/patches/ol.patch | 21 +++++++++++++++++++++
 srcpkgs/ol/template         | 15 +++++++++++++++
 2 files changed, 36 insertions(+)
 create mode 100644 srcpkgs/ol/patches/ol.patch
 create mode 100644 srcpkgs/ol/template

diff --git a/srcpkgs/ol/patches/ol.patch b/srcpkgs/ol/patches/ol.patch
new file mode 100644
index 00000000000..80a56845b22
--- /dev/null
+++ b/srcpkgs/ol/patches/ol.patch
@@ -0,0 +1,21 @@
+# Thanks to Chocimier for the patch!
+
+diff --git Makefile Makefile
+index 29ea60f..d586472 100644
+--- Makefile
++++ Makefile
+@@ -7,6 +7,7 @@ export OL_HOME=libraries
+ all: release
+ 
+ CC ?= gcc
++LD ?= ld
+ UNAME ?= $(shell uname -s)
+ 
+ # 'configure' part:
+@@ -167,7 +168,7 @@ src/olvm.c: extensions/ffi.c
+ 	touch src/olvm.c
+ 
+ $(repl.o): repl
+-	ld -r -b binary -o $(repl.o) repl
++	$(LD) -r -b binary -o $(repl.o) repl
+
diff --git a/srcpkgs/ol/template b/srcpkgs/ol/template
new file mode 100644
index 00000000000..87845656260
--- /dev/null
+++ b/srcpkgs/ol/template
@@ -0,0 +1,15 @@
+# Template file for 'ol'
+pkgname=ol
+version=2.0
+revision=1
+build_style=gnu-makefile
+short_desc="Purely functional dialect of Lisp"
+maintainer="rc-05 <rc23@email.it>"
+license="LGPL-3.0-or-later, MIT"
+homepage="https://yuriy-chumak.github.io/ol/"
+distfiles="https://github.com/yuriy-chumak/ol/archive/v${version}.tar.gz"
+checksum=5ad537b6bd032549334d1c72e742b78b7d40ccb8d1491d5cf0ce952964deeeea
+
+post_install() {
+	vlicense LICENSE
+}
